package com.nantian.cloud.dbcapp.service;

import com.nantian.cloud.dbcapp.bean.SysUserSub;
import com.nantian.sc.cloud.common.core.util.R;

import java.util.List;

public interface EnergyCalculateService {

    Integer isHasOpenId(String openId);

    Integer saveOpenId(String openId, String userId);

    List<SysUserSub> getUserInfo(String openId);

    R updateDateCodeState(String enterpriseCode, String dataCode, Integer state);

    void updateElectricityData(String enterpriseCode, String time);
}
